%define _altdata_dir %_datadir/alterator

Name: alterator-xkb
Version: 0.3
Release: alt3

Source:%name-%version.tar.bz2

Summary: alterator module for XKB administration
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 1.99-alt45, consolehelper
Requires: xorg-x11-utils, xorg-x11-server


BuildPreReq: alterator

# Automatically added by buildreq on Mon Jul 18 2005
BuildRequires: guile16-devel libxml2-devel xorg-x11-devel zlib-devel pkgconfig alterator-common

%description
alterator module for XKB administration

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall DESTDIR=%buildroot
%find_lang %name

%__install -Dpm644 %name.menu %buildroot/%_menudir/%name

%post
%update_menus
%postun
%clean_menus


%files -f %name.lang
%_bindir/*
%_altdata_dir/maps/*
%_altdata_dir/ui/*/
%_alterator_backend2dir/*
%_libdir/*.so.*
%_libdir/*.so
%_menudir/*
%_iconsdir/*.png
%_miconsdir/*.png
%_liconsdir/*.png


%changelog
* Wed Oct 19 2005 Stanislav Ievlev <inger@altlinux.org> 0.3-alt3
- added icons

* Wed Aug 31 2005 Stanislav Ievlev <inger@altlinux.org> 0.3-alt2
- use generic make templates

* Wed Aug 24 2005 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- fixed work with empty variants
- removed unused tab

* Fri Aug 19 2005 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- code improvements

* Tue Aug 09 2005 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- added standalone version, now configure local user config

* Mon Aug 01 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- Belarusian translation

* Wed Jul 20 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- bugfixes

* Mon Jul 18 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- initial release
